Package org.apache.storm.clojure

# Class IndifferentAccessMap

java.lang.Object
org.apache.storm.clojure.IndifferentAccessMap

All Implemented Interfaces:
  `clojure.lang.Associative`, `clojure.lang.Counted`, `clojure.lang.ILookup`, `clojure.lang.IPersistentCollection`, `clojure.lang.IPersistentMap`, `clojure.lang.Seqable`, `Iterable`, `Map`

public class IndifferentAccessMap extends Object implements clojure.lang.ILookup, clojure.lang.IPersistentMap, Map

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface java.util.Map

  `Map.Entry<K extends Object,V extends Object>`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected clojure.lang.IPersistentMap`
  `map`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IndifferentAccessMap(clojure.lang.IPersistentMap map)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `clojure.lang.IPersistentMap`
  `assoc(Object k, Object v)`
  `clojure.lang.IPersistentMap`
  `assocEx(Object k, Object v)`
  `void`
  `clear()`
  `clojure.lang.IPersistentCollection`
  `cons(Object o)`
  `boolean`
  `containsKey(Object k)`
  `boolean`
  `containsValue(Object v)`
  `int`
  `count()`
  `clojure.lang.IPersistentCollection`
  `empty()`
  `clojure.lang.IMapEntry`
  `entryAt(Object k)`
  `Set`
  `entrySet()`
  `boolean`
  `equiv(Object o)`
  `Object`
  `get(Object k)`
  `clojure.lang.IPersistentMap`
  `getMap()`
  `boolean`
  `isEmpty()`
  `Iterator`
  `iterator()`
  `Set`
  `keySet()`
  `Object`
  `put(Object k, Object v)`
  `void`
  `putAll(Map m)`
  `Object`
  `remove(Object k)`
  `clojure.lang.ISeq`
  `seq()`
  `clojure.lang.IPersistentMap`
  `setMap(clojure.lang.IPersistentMap map)`
  `int`
  `size()`
  `Object`
  `valAt(Object o)`
  `Object`
  `valAt(Object o, Object def)`
  `Collection`
  `values()`
  `clojure.lang.IPersistentMap`
  `without(Object k)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, spliterator`

  ### Methods inherited from interface java.util.Map

  `compute, computeIfAbsent, computeIfPresent, equals, forEach, getOrDefault, hashCode, merge, putIfAbsent, remove, replace, replace, replaceAll`

- ## Field Details

  - ### map

    protected clojure.lang.IPersistentMap map

- ## Constructor Details

  - ### IndifferentAccessMap

    public IndifferentAccessMap(clojure.lang.IPersistentMap map)

- ## Method Details

  - ### getMap

    public clojure.lang.IPersistentMap getMap()

  - ### setMap

    public clojure.lang.IPersistentMap setMap(clojure.lang.IPersistentMap map)

  - ### size

    public int size()
    Specified by:
      `size` in interface `Map`

  - ### count

    public int count()
    Specified by:
      `count` in interface `clojure.lang.Counted`
    Specified by:
      `count` in interface `clojure.lang.IPersistentCollection`

  - ### seq

    public clojure.lang.ISeq seq()
    Specified by:
      `seq` in interface `clojure.lang.Seqable`

  - ### valAt

    public Object valAt(Object o)
    Specified by:
      `valAt` in interface `clojure.lang.ILookup`

  - ### valAt

    public Object valAt(Object o, Object def)
    Specified by:
      `valAt` in interface `clojure.lang.ILookup`

  - ### assoc

    public clojure.lang.IPersistentMap assoc(Object k, Object v)
    Specified by:
      `assoc` in interface `clojure.lang.Associative`
    Specified by:
      `assoc` in interface `clojure.lang.IPersistentMap`

  - ### assocEx

    public clojure.lang.IPersistentMap assocEx(Object k, Object v)
    Specified by:
      `assocEx` in interface `clojure.lang.IPersistentMap`

  - ### without

    public clojure.lang.IPersistentMap without(Object k)
    Specified by:
      `without` in interface `clojure.lang.IPersistentMap`

  - ### containsKey

    public boolean containsKey(Object k)
    Specified by:
      `containsKey` in interface `clojure.lang.Associative`
    Specified by:
      `containsKey` in interface `Map`

  - ### entryAt

    public clojure.lang.IMapEntry entryAt(Object k)
    Specified by:
      `entryAt` in interface `clojure.lang.Associative`

  - ### cons

    public clojure.lang.IPersistentCollection cons(Object o)
    Specified by:
      `cons` in interface `clojure.lang.IPersistentCollection`

  - ### empty

    public clojure.lang.IPersistentCollection empty()
    Specified by:
      `empty` in interface `clojure.lang.IPersistentCollection`

  - ### equiv

    public boolean equiv(Object o)
    Specified by:
      `equiv` in interface `clojure.lang.IPersistentCollection`

  - ### iterator

    public Iterator iterator()
    Specified by:
      `iterator` in interface `Iterable`

  - ### containsValue

    public boolean containsValue(Object v)
    Specified by:
      `containsValue` in interface `Map`

  - ### entrySet

    public Set entrySet()
    Specified by:
      `entrySet` in interface `Map`

  - ### get

    public Object get(Object k)
    Specified by:
      `get` in interface `Map`

  - ### isEmpty

    public boolean isEmpty()
    Specified by:
      `isEmpty` in interface `Map`

  - ### keySet

    public Set keySet()
    Specified by:
      `keySet` in interface `Map`

  - ### values

    public Collection values()
    Specified by:
      `values` in interface `Map`

  - ### clear

    public void clear()
    Specified by:
      `clear` in interface `Map`

  - ### put

    public Object put(Object k, Object v)
    Specified by:
      `put` in interface `Map`

  - ### putAll

    public void putAll(Map m)
    Specified by:
      `putAll` in interface `Map`

  - ### remove

    public Object remove(Object k)
    Specified by:
      `remove` in interface `Map`